global:
  registry: docker.io
  repository: freeleaps
  nodeSelector: {}
dashboard:
  enabled: true
  name: freeleaps-prod-notification-dashboard
  title: Notification Service Dashboard (PROD)
  metricsPrefix: freeleaps_notification
notification:
  replicas: 1
  image:
    registry: docker.io
    repository: null
    name: notification
    tag: snapshot-c93ce6b
    imagePullPolicy: IfNotPresent
  ports:
  - name: http
    containerPort: 8003
    protocol: TCP
  resources:
    requests:
      cpu: 200m
      memory: 64Mi
    limits:
      cpu: 300m
      memory: 128Mi
  probes:
    readiness:
      type: httpGet
      config:
        path: /api/_/readyz
        port: 8003
        initialDelaySeconds: 5
        periodSeconds: 30
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
    liveness:
      type: httpGet
      config:
        path: /api/_/livez
        port: 8003
        initialDelaySeconds: 5
        periodSeconds: 15
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
        terminationGracePeriodSeconds: 30
  services:
  - name: notification-service
    type: ClusterIP
    port: 8003
    targetPort: 8003
    serviceMonitor:
      enabled: true
      labels:
        release: kube-prometheus-stack
      namespace: freeleaps-monitoring-system
      internal: 30s
      scrapeTimeout: ''
  ingresses: {}
  configs:
    tz: UTC
    appName: notification
    serviceApiAccessHost: 0.0.0.0
    serviceApiAccessPort: 8003
    mongodbName: freeleaps2
    mongodbPort: 27017
    rabbitmqHost: freeleaps-prod-rabbitmq-headless.freeleaps-prod.svc.freeleaps.cluster
    rabbitmqPort: 5672
    rabbitmqUsername: user
    rabbitmqVritualHost: /
    systemUserId: 117f191e810c19729de860aa
    smsFrom: '+16898887156'
    emailFrom: freeleaps@freeleaps.com
    metricsEnabled: 'true'
    probesEnabled: 'true'
  secrets:
    secretStoreRef:
      kind: FreeleapsSecretStore
      name: freeleaps-main-secret-store
    target:
      name: "freeleaps-notification-prod-secrets"
      creationPolicy: "Owner"
    refreshInterval: 30s
    data:
      - key: mongodbUri
        remoteRef:
          key: "freeleaps-prod-mongodb-uri"
          type: Secret
      - key: rabbitmqPassword
        remoteRef:
          key: "freeleaps-prod-rabbitmq-password"
          type: Secret
      - key: secretKey
        remoteRef:
          key: "freeleaps-prod-secret-key"
          type: Secret
      - key: sendgridApiKey
        remoteRef:
          key: "freeleaps-prod-sendgrid-api-key"
          type: Secret
      - key: twilioAccountSid
        remoteRef:
          key: "freeleaps-prod-twilio-account-sid"
          type: Secret
      - key: twilioAuthToken
        remoteRef:
          key: "freeleaps-prod-twilio-auth-token"
          type: Secret
  vpa:
    minAllowed:
      enabled: true
      cpu: 50m
      memory: 64Mi
    maxAllowed:
      enabled: true
      cpu: 200m
      memory: 128Mi
    controlledResources:
    - cpu
    - memory
